Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils.counter
Class CounterManagerImpl

    java.lang.Object
      org.quartz.utils.counter.CounterManagerImpl

All Implemented Interfaces:
  CounterManager

    public class CounterManagerImpl

extends Object
implements CounterManager

An implementation of a `CounterManager`.

Since:
  1.8
Author:
  Abhishek Sanoujam

Constructor Summary
`CounterManagerImpl(Timer timer)` Constructor that accepts a timer that will be used for scheduling sampled counter if any is created

Method Summary
`Counter` | `createCounter(CounterConfig config)` Creates a Counter based on tha passed config
`void` | `shutdown(boolean killTimer)` Shuts down this counter manager
`void` | `shutdownCounter(Counter counter)` Shuts down the counter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CounterManagerImpl

    public CounterManagerImpl(Timer timer)

  Constructor that accepts a timer that will be used for scheduling sampled counter if any is created

Method Detail

### shutdown

    public void shutdown(boolean killTimer)

  Shuts down this counter manager

  Specified by:
    `shutdown` in interface `CounterManager`

### createCounter

    public Counter createCounter(CounterConfig config)

  Creates a Counter based on tha passed config

  Specified by:
    `createCounter` in interface `CounterManager`
  Returns:
    The counter created and managed by this CounterManager

### shutdownCounter

    public void shutdownCounter(Counter counter)

  Shuts down the counter

  Specified by:
    `shutdownCounter` in interface `CounterManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.